View Issue Details

IDProjectCategoryView StatusLast Update
0027197FPCWebsitepublic2020-10-29 09:51
ReporterWerner Bochtler Assigned ToSven Barth  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
Platformi386 and x86_64OSSolaris 
Product Version2.6.4 
Summary0027197: Installation instructions on Solaris download pages not correct
DescriptionThere are the following download pages for Solaris:

http://www.freepascal.org/down/i386/solaris-netherlands.var
http://www.freepascal.org/down/i386/solaris-hungary.var
http://www.freepascal.org/down/i386/solaris-netherlands.var

http://www.freepascal.org/down/x86_64/solaris-netherlands.var
http://www.freepascal.org/down/x86_64/solaris-hungary.var
http://www.freepascal.org/down/x86_64/solaris-netherlands.var
  
On these pages the following information can be found:

"Contains a standard tar archive, with an install script."
"After untarring the archive, you can run the install script in the created directory by issuing the command "sh install.sh"."

The tar archives do not contain an installation script. I have found such install scripts in the following folders:
  
  - ftp://ftp.freepascal.org/pub/fpc/dist/2.6.0/i386-solaris/
  - ftp://ftp.freepascal.org/pub/fpc/dist/2.6.0/x86_64-solaris/

It could make sense to correct the given information and also to provide appropriate download scripts again.

On the x86_64 download pages there is also a typo "[B".
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Activities

Werner Bochtler

2014-12-22 14:12

reporter  

install.zip (2,927 bytes)

Werner Bochtler

2014-12-22 14:22

reporter   ~0079936

Last edited: 2014-12-23 06:31

View 2 revisions

There are two errors in the description of my error report:

- Obviously "to provide appropriate download scripts again" should read "to provide appropriate install scripts again".

- The typo "[B" is on the i386 (and not on the outdated x86_64) download pages.

Werner Bochtler

2020-10-28 18:53

reporter   ~0126611

The current tar archives (fpc-3.2.0.i386-solaris.tar, fpc-3.2.0.x86_64-solaris.tar) contain the install scripts.
The bug report can be closed.

Sven Barth

2020-10-29 09:51

manager   ~0126627

Resolved as requested by reporter. Please close.

Issue History

Date Modified Username Field Change
2014-12-22 14:06 Werner Bochtler New Issue
2014-12-22 14:12 Werner Bochtler File Added: install.zip
2014-12-22 14:22 Werner Bochtler Note Added: 0079936
2014-12-23 06:31 Werner Bochtler Note Edited: 0079936 View Revisions
2020-10-28 18:53 Werner Bochtler Note Added: 0126611
2020-10-29 09:51 Sven Barth Assigned To => Sven Barth
2020-10-29 09:51 Sven Barth Status new => resolved
2020-10-29 09:51 Sven Barth Resolution open => no change required
2020-10-29 09:51 Sven Barth FPCTarget => -
2020-10-29 09:51 Sven Barth Note Added: 0126627